%define module 	XML-CGI 
%define version 0.02
%define release 4mdk

Summary:	XML-CGI perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRequires:	perl
BuildRequires:	perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch:	noarch

%description
XML-CGI converts CGI.pm variables to XML and vice versa.


%prep
%setup -q -n %{module}-%{version}


%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST Changes  examples
%{perl_vendorlib}/XML/*
%{_mandir}/*/*


%changelog
* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-4mdk
- rebuild for new perl

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.02-3mdk
- rebuild

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.02-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com>:
	- First Mandrake release


